# norootforbuild
%define pkg_name    ZendGuardLoader
%define pkg_version %(php-config --version | awk -F. '{print $1"."$2 }' 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
%define php_version %(php-config --version 2>/dev/null)

%if "%{pkg_version}" == "5.4"
%define prever 70429-PHP
%else
%define prever php
%endif

#
Name:		php5-zendguardloader
Version:	%{pkg_version}
Release:	4.1
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel gcc gcc-c++
Requires:	php5 = %{php_version}
#
URL:		http://www.zend.com/
%ifarch x86_64
Source0:	%{pkg_name}-%{prever}-%{version}-linux-glibc23-x86_64.tar.gz
%else
Source0:	%{pkg_name}-%{prever}-%{version}-linux-glibc23-i386.tar.gz
%endif
Summary:	This package contains the Zend Guard Loader from Zend Technologies Ltd

%description
This package contains the Zend Guard Loader from Zend Technologies Ltd.

%prep
%ifarch x86_64 
%setup -n %{pkg_name}-%{prever}-%{version}-linux-glibc23-x86_64
%else
%setup -n %{pkg_name}-%{prever}-%{version}-linux-glibc23-i386
%endif

%build

%install
%__install -D php-%{pkg_version}.x/%{pkg_name}.so %{buildroot}%{_libdir}/php5/extensions/%{pkg_name}.so
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable %{pkg_name} extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; extension = %{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_extension = %{_libdir}/php5/extensions/%{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.enable = 1" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; Disable license checks (for performance reasons)" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.disable_licensing=0" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; The Obfuscation level supported by Zend Guard Loader. The levels are detailed in the official Zend Guard Documentation. 0 - no obfuscation is enabled" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.obfuscation_level_support=3" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; Path to where licensed Zend products should look for the product license. For more information on how to create a license file, see the Zend Guard User Guide" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.license_path=" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%config(noreplace) %{_sysconfdir}/php5/conf.d/zendguardloader.ini
%defattr(0755,root,root)
%{_libdir}/php5/extensions/%{pkg_name}.so

%changelog
* Sun Nov 10 2013 cs@linux-administrator.com
- build 5.3 & 5.4 versions
* Tue Mar 20 2012 cs@linux-administrator.com
- initial package
